;;; init-theme.el --- Carga del theme -*- lexical-binding: t -*-

;; Author: kj <webmaster@outcontrol.net>
;; URL: https://git.kj2.me/kj/confi-emacs-actual

;;; Commentary:

;; Desde aquí se puede cambiar la configuración de themes es posible
;; activar o desactivar los themes comentando o descomentando las
;; líneas que lo configuran.

;;; Code:

;; Theme dracula (https://draculatheme.com/)
(use-package dracula-theme
  :defer t
  ;; :hook
  ;; (elpaca-after-init . (lambda()
  ;;                        (load-theme 'dracula t)
  ;;                        (set-face-attribute 'default nil :font "Fira Code Retina" :height 112) ; Font
  ;;                        ))
  )

;; El theme más cercano a adwaita dark que he encontrado
(use-package adwaita-dark-theme
  :defer t
  :hook
  (elpaca-after-init . (lambda()
                         (load-theme 'adwaita-dark t)
                         (set-face-attribute 'default nil :font "Fira Code Retina" :height 112) ; Font
                         ))
  )

;; Theme adwaita, viene integrado en emacs desde la v29.1
;; (use-package adwaita-theme
;;   :elpaca nil
;;   :defer t
;;   :hook
;;   (elpaca-after-init . (lambda()
;;                          (load-theme 'adwaita t)
;;                          (set-face-attribute 'default nil :font "Fira Code Retina" :height 112) ; Font
;;                          ))
;;   )

;; Themes modus, vienen integrado en emacs en master (~v30)
;; (use-package modus-themes
;;   :elpaca nil
;;   :defer t
;;   :hook
;;   (elpaca-after-init . (lambda()
;;                          (load-theme 'modus-operandi-tinted t) ;; Solarized
;;                          (set-face-attribute 'default nil :font "Fira Code Retina" :height 112) ; Font
;;                          ))
;;   )

;; Themes ef
(use-package ef-themes
  :defer t
  ;; :hook
  ;; (elpaca-after-init . (lambda()
  ;;                        (load-theme 'ef-light t)
  ;;                        (set-face-attribute 'default nil :font "Fira Code Retina" :height 112) ; Font
  ;;                        ))
  )

;; Themes de doom emacs
;; (use-package doom-themes
;;   :defer t
;;   :hook
;;   (elpaca-after-init . (lambda()
;;                          (setq doom-themes-enable-bold t    ; if nil, bold is universally disabled
;;                                doom-themes-enable-italic t) ; if nil, italics is universally disabled
;;                          (set-face-attribute 'default nil :font "Fira Code Retina" :height 112) ; Font
;;                          (load-theme 'doom-one t)
;;                          (doom-themes-org-config)
;;                          ))
;;   )


(provide 'init-theme)
;;; init-theme.el ends here
